EDIT - bug #7913

Remove authorship from IJournal and IPrintSeries

11/20/2018 03:19 PM - Andreas Mdller

Status: Closed Start date:

Priority: Priority14 Due date:

Assignee: Katja Luther % Done: 100%
Category: cdm Estimated time: 0:00 hour
Target version: Release 5.5

Severity: normal Found in Version:

Description

Authorship should be removed from journals and print series. Even if they share a common author the authorship should be stored in

the underlying article, book, ... to avoid confusion and inconsistency.

Existing authorship may create problems when finding duplicates via matching algorithms.

Related issues:

Related to EDIT - bug #7223: ReferenceEditor: disable fields depending on the...
Related to EDIT - bug #7915: Remove date published from journals and print se...

Related to EDIT - bug #7828: Remove date published from journals in E+M
Related to EDIT - task #7918: Revision of reference type specific properties

Related to EDIT - bug #7930: Remove DOI from journals, print series and perso...
Has duplicate EDIT - bug #7839: IJournal should not have author, date publish...

Closed
Closed

In Progress
Closed
Closed
Duplicate

Associated revisions

Revision 67aae166 - 11/20/2018 05:15 PM - Andreas Miiller

fix #7913 remove authorship from IJournal and IPrintSeries

Revision cfbcbdcb - 12/03/2018 02:26 PM - Katja Luther

ref #7913: remove author for journal, print series in taxeditor

History

#1 - 11/20/2018 03:19 PM - Andreas Miiller

- Related to bug #7223: ReferenceEditor: disable fields depending on the Reference type added

#2 - 11/20/2018 04:43 PM - Andreas Miiller

- Is duplicate of bug #7839: IJournal should not have author, date published etc. added

#3 - 11/20/2018 05:16 PM - Andreas Miiller
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|67aae1661ccedd224c4e57400eeb012d0e06{8fb.

#4 - 11/20/2018 05:17 PM - Andreas Miller

- Status changed from Resolved to Duplicate

#5 - 11/20/2018 05:20 PM - Andreas Miiller
- Status changed from Duplicate to Resolved

- Assignee changed from Andreas Muiller to Katja Luther

#6 - 11/20/2018 05:22 PM - Andreas Miller

- Is duplicate of deleted (bug #7839: IJournal should not have author, date published etc.)

#7 - 11/20/2018 05:22 PM - Andreas Miller
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdmlib/revisions/67aae1661ccedd224c4e57400eeb012d0e06f8fb

- Has duplicate bug #7839: IJournal should not have author, date published etc. added

#8 - 11/20/2018 05:25 PM - Andreas Miiller
- Related to bug #7915: Remove date published from journals and print series added

#9 - 11/20/2018 05:27 PM - Andreas Miiller
- Related to bug #7828: Remove date published from journals in E+M added

#10 - 11/21/2018 11:34 AM - Andreas Kohlbecker
- Related to task #7918: Revision of reference type specific properties added

#11 - 11/28/2018 01:04 PM - Andreas Miiller

- Related to bug #7930: Remove DOI from journals, print series and person communications added

#12 - 12/03/2018 02:29 PM - Katja Luther

this is also implemented in taxeditor. Please review.

#13 - 12/03/2018 02:30 PM - Katja Luther

- Assignee changed from Katja Luther to Andreas Mdiller

#14 - 01/14/2019 11:52 AM - Andreas Miiller

- Status changed from Resolved to Closed

- Assignee changed from Andreas Miiller to Katja Luther
- Priority changed from New to Priority14

- % Done changed from 50 to 100

works as expected
